Package org.gradle.tooling.events

# Interface FailureResult

All Superinterfaces:
  `OperationResult`

All Known Subinterfaces:
  `TaskFailureResult`, `TestFailureResult`

@Incubating public interface FailureResult extends OperationResult
Describes how an operation finished with failures.

Since:
  2.4

## Method Summary

Modifier and Type
Method
Description
`List<? extends Failure>`
`getFailures()`
Returns the failures that occurred while running the operation, if any.

### Methods inherited from interface org.gradle.tooling.events.OperationResult

`getEndTime, getStartTime`

## Method Details

### getFailures

List<? extends Failure> getFailures()
Returns the failures that occurred while running the operation, if any.

Returns:
  the failures, empty if the operation failed without any specific failure information.